Subject: bug#2627: closed (Re: bug#2627: 23.0.91; Colors from color-theme are not set properly.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 27 Nov 2012 07:01:04 +0000

Your bug report

#2627: 23.0.91; Colors from color-theme are not set properly.

which was filed against the emacs,ns package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
2627: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2627
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2627: 23.0.91; Colors from color-theme are not set properly.
From: Chong Yidong <[email-masked]>
To: "vr.sundar" <[email-masked]>
Cc: [email-masked]
Date: Tue, 27 Nov 2012 14:58:26 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

"vr.sundar" <[email-masked]> writes:

> I have just these 4 lines in my .emacs
>
> (add-to-list 'load-path (expand-file-name "~/.emacs.d/color-theme"))
> (require 'color-theme)
> (color-theme-initialize)
> (color-theme-tty-dark)
>
> 1. Start up Emacs -nw (This is in an iTerm in Mac 10.5.6)
> 2. Open a file
> 3. Set mark to activate  region. As you expand the region, the text in
> it "disappears". I guess it is being shown black on black
> 4. Do M-x color-theme-tty-dark. The region now has a white background
> and the text can be seen.

Closing this bug report, since we can't do anything about it as the
color-theme package is not part of GNU Emacs; also Emacs 24 uses a
separate custom theme mechanism for theming.

Subject: 23.0.91; Colors from color-theme are not set properly.
From: "vr.sundar" <[email-masked]>
To: [email-masked]
Date: Tue, 10 Mar 2009 12:07:03 -0700

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I have just these 4 lines in my .emacs

(add-to-list 'load-path (expand-file-name "~/.emacs.d/color-theme"))
(require 'color-theme)
(color-theme-initialize)
(color-theme-tty-dark)

1. Start up Emacs -nw (This is in an iTerm in Mac 10.5.6)
2. Open a file
3. Set mark to activate  region. As you expand the region, the text in
it "disappears". I guess it is being shown black on black
4. Do M-x color-theme-tty-dark. The region now has a white background
and the text can be seen.

The behaviour is the same whether or not the last line
(color-theme-tty-dark) is in .emacs or not. It is as if that command
needs to be run manually for the colors to take effect properly

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/Users/svasan/projects/emacs/cvs-emacs/nextstep/Emacs.app/Contents/Resources/etc/DEBUG
for instructions.

In GNU Emacs 23.0.91.1 (i386-apple-darwin9.6.0, NS apple-appkit-949.43)
 of 2009-03-09 on Sundar-Vasans-Computer.local
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: en_US.ISO8859-1
  value of $LC_CTYPE: en_US.ISO8859-1
  value of $LC_MESSAGES: en_US.ISO8859-1
  value of $LC_MONETARY: en_US.ISO8859-1
  value of $LC_NUMERIC: en_US.ISO8859-1
  value of $LC_TIME: en_US.ISO8859-1
  value of $LANG: en_US.ISO8859-1
  value of $XMODIFIERS: nil
  locale-coding-system: iso-latin-1-unix
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  gpm-mouse-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x C-f n e TAB R E TAB RET ESC } ESC } C-@ ESC [ B
ESC [ B ESC [ B ESC [ B ESC [ B ESC x r e p o r TAB
RET

Recent messages:
("./nextstep/Emacs.app/Contents/MacOS/Emacs")
Loading /Users/svasan/.emacs.d/site-lisp/color-theme/themes/color-theme-example.el
(source)...done
Loading /Users/svasan/.emacs.d/site-lisp/color-theme/themes/color-theme-library.el
(source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading vc-cvs...done
Mark set
Unable to load color "ns_selection_color"